# PSU Mobile #

A cross-platform mobile application designed specifically for Android and iOS that brings forth the vast online services of Plymouth State University to the students and staff in an easy to use, accessible mobile application.

## Goals/Objectives ##

- To further the University’s goals of becoming more mobile friendly
- To make pertinent information readily available to students, faculty, staff, alumni, and prospective students with a special emphasis on information for current students
- To bring a broader public attention to controlled information and the overall positive aspects of the University
- To stay relevant in an ever evolving ecosystem of mobile computing

## Target Devices/Operating Systems ##

- iOS
	- Version 4.2.1 and greater
	- iPhone
	- iPod Touch
	- iPad
- Android
	- Version 2.2 and greater
	- Flexible layout
	- 3” - 10” devices
	- LDPI - XHDPI (Low pixel density to extra high pixel density)

## Technologies Used ##

The current implementation of the mobile app is built using the following:

- Client Side
	- [Cordova](http://incubator.apache.org/cordova/) (used to be known as [PhoneGap](http://phonegap.com/about))
	- [jQuery](http://jquery.com/)
	- [jQuery Mobile](http://jquerymobile.com/)
	- [Google Maps API](http://code.google.com/apis/maps/)
- Server Side
	- [PHP](http://php.net/)
	- [Klein](https://github.com/chriso/klein.php)
	- [Smarty](http://www.smarty.net/)
	- [ADOdb](http://adodb.sourceforge.net/)
	- [Guzzle](http://guzzlephp.org/)

## Market/App Store Links ##
- [Google Play Store](https://play.google.com/store/apps/details?id=edu.plymouth.psumobile)
- [Apple App Store](http://itunes.apple.com/us/app/plymouth-state-university/id453240011)

## About **This** Repo ##

This is the Server Side / Webapp Side of the mobile application. For the client/native framework side (essentially the loader), look here:
[PSU-Mobile-Native](https://github.com/plymouthstate/psu-mobile-native)
